import { FormGroup } from '@angular/forms';
import { ElementOption, FormElement } from './simple-forms.types';
export declare class AccessibilityUtils {
    static toInputId(str: string): string;
    static isValid(elementData: FormElement, formGroup: FormGroup): string;
    static isSelected(elementData: FormElement, formGroup: FormGroup, option: ElementOption): string;
    static isChecked(elementData: FormElement, formGroup: FormGroup, option: ElementOption): string;
    static toValueText(value: number): any;
    static getHelpTextId(elementData: FormElement): string;
    static getErrorMessageId(elementData: FormElement): string;
}
