import { ElementRef, OnChanges, OnInit, Renderer2 } from '@angular/core';
import { FormElement } from '../../../../simple-forms.types';
export declare class ValidationMessagesComponent implements OnInit, OnChanges {
    private renderer2;
    helpMessage: ElementRef;
    errorMessage: ElementRef;
    elementData: FormElement;
    hasFocus: boolean;
    hasError: boolean;
    constructor(renderer2: Renderer2);
    ngOnInit(): void;
    ngOnChanges(): void;
    getErrorMessageId(): string;
    getHelpTextId(): string;
}
