import { EventEmitter, OnInit } from '@angular/core';
import { FormDetails, FormElement } from '../../simple-forms.types';
export declare class FormComponent implements OnInit {
    formTitle: string;
    formSubtitle: string;
    form: FormDetails;
    hideClear: boolean;
    formOptions: FormConfig;
    defaultFormData: any;
    formData: {};
    changeEmitter: EventEmitter<any>;
    submitEmitter: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    setElementConfig(element: FormElement): FormElement;
    submit(): void;
    clear(): void;
    isValid(): boolean;
}
export interface FormConfig {
    wrapperCssClass?: string;
    formElementCssClass?: string;
    buttonCssClass?: string;
    submitButtonLabel?: string;
    clearButtonLabel?: string;
}
