import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { FormElement, FormElementAccessibilityConfig } from '../../../simple-forms.types';
import { FormGroup } from '@angular/forms';
export declare class DefaultAccessibilityDirective implements AfterViewInit {
    private el;
    private renderer2;
    appDefaultAccessibility: {
        elementData: FormElement;
        formGroup: FormGroup;
        option?: {
            display: string;
            value: any;
        };
    };
    elementData: FormElement;
    option: {
        display: string;
        value: any;
    };
    formGroup: FormGroup;
    accessibilityConfig: FormElementAccessibilityConfig;
    constructor(el: ElementRef, renderer2: Renderer2);
    ngAfterViewInit(): void;
    listenForChange(): void;
    localiseVariables(): void;
    applyInputSpecificAria(): void;
    applyRangeAria(): void;
    applyCheckableAria(): void;
    applyRadioAria(): void;
    applyGloballySupportedAria(): void;
    applyTestId(): void;
    applyConditionalAria(): void;
    requiredAriaSupported(): boolean;
    hasConfig(): boolean;
    getAriaLabel(): string;
    getLabelledBy(): string;
    getRequired(): string;
    getValue(): any;
    getReadOnly(): string | boolean;
    getDefaultAria(type: string, option?: {
        display: string;
        value: any;
    }): string;
    getTestId(): string;
}
