import { OnInit } from '@angular/core';
import { ElementBaseComponent } from '../element-base/element-base.component';
import { FormArray, FormBuilder } from '@angular/forms';
import { FormElement } from '../../../simple-forms.types';
import { Subject } from 'rxjs/Subject';
export declare class FormArrayElementComponent extends ElementBaseComponent implements OnInit {
    private formBuilder_;
    formValue: Subject<any[]>;
    formBuilder: FormBuilder;
    formElements: FormElement[];
    constructor(formBuilder_: FormBuilder);
    ngOnInit(): void;
    applyParentConfig(formElements: FormElement[]): FormElement[];
    getForm(): any;
    getFormArray(): FormArray;
    arrayFormIsValid(): boolean;
    getFormArrayControls(control: any): string[];
    getArrayElement(elementId: string, index?: number): FormElement;
    remove(index: number): void;
    addNew(): void;
}
